Launch Week 02 wrapped — explore all five launches

Revoke Organization API Key

DELETEhttps://api.confident-ai.com/v1/organization/api-keys/{apiKeyId}

Permanently revokes an organization-scoped API key. This action cannot be undone.

DELETE/v1/organization/api-keys/{apiKeyId}
curl -X DELETE "https://api.confident-ai.com/v1/organization/api-keys/{apiKeyId}" \
  -H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"
200
{
  "success": true,
  "data": {
    "id": 12,
    "deleted": true
  }
}

Headers

  • CONFIDENT_API_KEYstringRequired

    The organization API key for your Confident AI organization.

Path parameters

  • apiKeyIdintegerRequired

    The unique identifier of the API key.

Response

  • successboolean

    Indicates if the request was successful

  • dataobject

    Show 2 propertiesHide 2 properties
    • idinteger

      ID of the revoked API key

    • deletedboolean

      Always true when the key was revoked

Built byConfident AI